import java.text.DecimalFormat;
class Assignment2D
{
	public static void main (String[] args)
	{
          double number=127.5192683;
          
	DecimalFormat fmt1 = new DecimalFormat("0.#");
        System.out.println("One decimal "+fmt1.format(number));
	DecimalFormat fmt2 = new DecimalFormat("0.##");
        System.out.println("One decimal "+fmt2.format(number));
	DecimalFormat fmt3 = new DecimalFormat("0.###");
        System.out.println("One decimal "+fmt3.format(number));
	DecimalFormat fmt4 = new DecimalFormat("0.####");
        System.out.println("One decimal "+fmt4.format(number));
	DecimalFormat fmt5 = new DecimalFormat("0.#####");
        System.out.println("One decimal "+fmt5.format(number));
	
        
	}
}